hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s Struct Reference

`#include <diff.h>`

## Data Fields

hwloc_topology_diff_type_t | type
union hwloc_topology_diff_u * | next
int | obj_depth
unsigned | obj_index
union hwloc_topology_diff_obj_attr_u | diff

## Field Documentation

## diff

union hwloc_topology_diff_obj_attr_u hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s::diff

## next

union hwloc_topology_diff_u* hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s::next

## obj_depth

int hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s::obj_depth

## obj_index

unsigned hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s::obj_index

## type

hwloc_topology_diff_type_t hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s::type

The documentation for this struct was generated from the following file:

- diff.h